Subject: Re: bug#30024: [PATCH] core-updates: librsvg: Disable more failing tests

From: [email-masked] (Ludovic Courtès)
Date: Mon, 08 Jan 2018 15:13:28 +0100

Hello,

Mark H Weaver <[email-masked]> skribis:

> On the core-updates branch, in librsvg, some tests fail on i686 and
> armhf.  I've attached a proposed patch, but I haven't yet been able to
> test it because I no longer use binary substitutes on my systems and I'm
> currently having some difficulties[*] building the base packages.
>
> If someone else would like to test this and push it to core-updates, I'd
> be grateful.  It would be sufficient to test on i686, I think.

Tested on i686 and pushed, thank you!

> [*] GNU tar's handling of sparse files is broken on btrfs filesystems
>     and thus fails its test suite on my system, and the test suite of
>     guile-2.2.3 hung up (no output or CPU usage for 30 minutes with a
>     defunct guile process) on my x86_64 GuixSD system.

Many file system related tests fail on Btrfs.  :-/

As for the Guile failure, it’s weird.  Could you gather more info if it
happens again?

Ludo’.